### Hierarchy

- ChoiceMutator

## Index

### Methods

- leafElements
- mutate
- mutateType

## Methods

### Static Private leafElements

- leafElements(specs: ISpecification[], accumulator: ISpecification[]): ISpecification[]

- - Defined in lib/renderable/choice/ChoiceMutator.ts:36

  #### Parameters

  - ##### specs: ISpecification[]

  - ##### accumulator: ISpecification[]

  #### Returns ISpecification[]

### Static mutate

- mutate(elements: ISpecification[], type: string): void

- - Defined in lib/renderable/choice/ChoiceMutator.ts:13

  #### Parameters

  - ##### elements: ISpecification[]

  - ##### type: string

  #### Returns void

### Static Private mutateType

- mutateType(spec: ISpecification, type: string): ISpecification

- - Defined in lib/renderable/choice/ChoiceMutator.ts:24

  #### Parameters

  - ##### spec: ISpecification

  - ##### type: string

  #### Returns ISpecification

Generated using TypeDoc